---
title: Fetch summary of transcripts for a session
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Sessions](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/sessions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch summary of transcripts for a session

client.RealtimeKit.Sessions.GetSessionSummary(ctx, appID, sessionID, query) (\*[SessionGetSessionSummaryResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/sessions/{session\_id}/summary

Returns a Summary URL to download the Summary of Transcripts for the session ID as plain text.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_summary%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

sessionID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_summary%20%3E%20(params)%20default%20%3E%20(param)%20session_id%20%3E%20(schema)>)

<details>

<summary>

query SessionGetSessionSummaryParams

</summary>

AccountID param.Field\[string]

The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_summary%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_summary%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SessionGetSessionSummaryResponse struct{…}

</summary>

<details>

<summary>

Data SessionGetSessionSummaryResponseDataOptional

</summary>

SessionID string

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20sessionId">Link to this property</a>

SummaryDownloadURL string

URL where the summary of transcripts can be downloaded

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20summaryDownloadUrl">Link to this property</a>

SummaryDownloadURLExpiry string

Time of Expiry before when you need to download the csv file.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20summaryDownloadUrlExpiry">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionSummaryResponse%20%3E%20(schema)>)

### Fetch summary of transcripts for a session

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Sessions.GetSessionSummary(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.SessionGetSessionSummaryParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "sessionId": "sessionId",
    "summaryDownloadUrl": "summaryDownloadUrl",
    "summaryDownloadUrlExpiry": "summaryDownloadUrlExpiry"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "sessionId": "sessionId",
    "summaryDownloadUrl": "summaryDownloadUrl",
    "summaryDownloadUrlExpiry": "summaryDownloadUrlExpiry"
  },
  "success": true
}
```